mail-command instead of rmail

Bug #46013 reported by Daniel Robitaille on 2006-05-22
10
Affects Status Importance Assigned to Milestone
backupninja (Ubuntu)
Medium
Maurizio Moriconi

Bug Description

originally reported using reportbug

---------- Forwarded message ----------
From: Anders Wallenquist <email address hidden>
To: Ubuntu Bug Tracking System <email address hidden>
Date: Thu, 06 Apr 2006 15:38:34 +0200
Subject: backupninja: mail-command instead of rmail
Package: backupninja
Version: 0.9.2-3
Severity: normal

Backupninja uses mail-command (line 507) which is not found in Ubuntu
6.06 (Dapper), please use rmail instead

-- System Information:
Debian Release: testing/unstable
 APT prefers dapper-updates
 APT policy: (500, 'dapper-updates'), (500, 'dapper-security'), (500, 'dapper')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-15-386
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)

Versions of packages backupninja depends on:
ii bash 3.1-2ubuntu9 The GNU Bourne Again SHell
ii dialog 1.0-20060101-1 Displays user-friendly dialog boxe
ii gawk 1:3.1.5-2build1 GNU awk, a pattern scanning and pr
ii mawk 1.3.3-11ubuntu1 a pattern scanning and text proces

backupninja recommends no packages.

-- no debconf information

Changed in backupninja:
assignee: nobody → motu
Kai Kasurinen (kai-kasurinen) wrote :

mail command can be found in mailx package.

Changed in backupninja:
assignee: motu → nobody
status: Unconfirmed → Rejected

I support that, it should depend on "mail", otherwise reports about errors are not sent.
This could result in data loss if backups are not made and user is not aware of this.

Reopening - backupninja should depend on some package which provides "mail", as it is necessary for basic functionality

Changed in backupninja:
status: Rejected → Confirmed
Maurizio Moriconi (bugman) wrote :

Attached debdiff should fix this issue. Thank you :).

Changed in backupninja:
assignee: nobody → bugman

Format: 1.7
Date: Thu, 14 Jun 2007 10:37:02 +0200
Source: backupninja
Binary: backupninja
Architecture: source
Version: 0.9.4-6ubuntu3
Distribution: gutsy
Urgency: low
Maintainer: Ubuntu MOTU Developers <email address hidden>
Changed-By: Maurizio Moriconi <email address hidden>
Description:
 backupninja - lightweight, extensible meta-backup system
Launchpad-Bugs-Fixed: 46013
Changes:
 backupninja (0.9.4-6ubuntu3) gutsy; urgency=low
 .
   * debian/control:
     - add mailx | mailutils to depends (LP: #46013)
Files:
 dd6b17af631dc0cd62846392a5aec2f1 720 admin optiona

Changed in backupninja:
status: Confirmed → Fix Committed

Please set to "Fix released" once it is built.
Thanks for your contribution.

Maurizio Moriconi (bugman) wrote :

backupninja (0.9.4-6ubuntu3) gutsy; urgency=low

  * debian/control:
    - add mailx | mailutils to depends (LP: #46013)

 -- Maurizio Moriconi <email address hidden> Thu, 14 Jun 2007 10:37:02 +0200

Changed in backupninja:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers